classification
Title: Grammar typo in issubclass docstring
Type: Stage: patch review
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: alexpovel, docs@python, iritkatriel, miss-islington, remi.lapeyre
Priority: normal Keywords: patch

Created on 2020-05-01 18:28 by alexpovel, last changed 2020-09-27 13:46 by iritkatriel.

Pull Requests
URL Status Linked Edit
PR 19847 merged alexpovel, 2020-05-01 20:50
Messages (5)
msg367871 - (view) Author: (alexpovel) * Date: 2020-05-01 18:28
Running `python -c "help(issubclass)"` will output:

  > Help on built-in function issubclass in module builtins:
  > 
  > issubclass(cls, class_or_tuple, /)
  >     Return whether 'cls' is a derived from another class or is the same class.
  >     
  >     A tuple, as in ``issubclass(x, (A, B, ...))``, may be given as the target to
  >     check against. This is equivalent to ``issubclass(x, A) or issubclass(x, B)
  >     or ...`` etc.

where it should probably read:

> Return whether 'cls' is derived from another class or is the same class.

over the current:

> Return whether 'cls' is a derived from another class or is the same class.

There are two occurrences of this string, one in `./Python/bltinmodule.c`, the other in `./Python/clinic/bltinmodule.c.h`.
I have to admit I cannot safely say which of these is the generated file through Argument Clinic and which is the source.
Is `./Python/bltinmodule.c` the source, aka where this would need to be changed?

Please let me know and I will create a PR.

Thanks!
msg367882 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2020-05-01 20:02
Hi Alex, thanks for reporting this. A PR will be needed to fix those indeed.

Regarding argument clinic, the file you will need to change is Python/bltinmodule.c and you can run `make regen-all` to regenerate the other file. There is more information about this in the Python dev guide: https://devguide.python.org/

For the Pull Request to be accepted you will need to sign the Contributor License Agreement, the steps to follow are here: https://devguide.python.org/pullrequest/#cla, a bot will reemind you if you forget :)
msg367886 - (view) Author: (alexpovel) * Date: 2020-05-01 20:55
Hi Rémi,

thank you very much for the hearty welcome.

Your explanations worked perfectly and the PR was created. `make regen-all` created new checksums as well, as intended.

I had already signed the CLA, and will now dive into the devguide!

Thanks again.
msg370672 - (view) Author: miss-islington (miss-islington) Date: 2020-06-03 13:19
New changeset df773f8c5454acebe08c31e7308597fa5a8bf5df by Alex Povel in branch 'master':
bpo-40471: Fix grammar typo in 'issubclass' docstring (GH-19847)
https://github.com/python/cpython/commit/df773f8c5454acebe08c31e7308597fa5a8bf5df
msg377567 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-09-27 13:46
Should this PR be backported? Otherwise this issue can be closed.
History
Date User Action Args
2020-09-27 13:46:01iritkatrielsetnosy: + iritkatriel
messages: + msg377567
2020-06-03 13:19:48miss-islingtonsetnosy: + miss-islington
messages: + msg370672
2020-06-03 13:19:24orsenthilsetversions: + Python 3.7, Python 3.8, Python 3.10
2020-05-01 20:55:00alexpovelsetmessages: + msg367886
2020-05-01 20:50:29alexpovelsetkeywords: + patch
stage: patch review
pull_requests: + pull_request19165
2020-05-01 20:02:26remi.lapeyresetversions: + Python 3.9, - Python 3.8
2020-05-01 20:02:15remi.lapeyresetnosy: + remi.lapeyre
messages: + msg367882
2020-05-01 18:28:34alexpovelcreate